# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "soccer-rs"
version = "0.1.4"
authors = ["Daniel Russ <druss@mail.nih.gov>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Occupation and industry coding for epidemiologic studies and more"
readme = "README.md"
license = "MIT"
repository = "https://github.com/danielruss/soccer-rs"

[lib]
name = "soccer_rs"
path = "src/lib.rs"

[dependencies.bytes]
version = "1.11.1"

[dependencies.csv]
version = "1.4.0"

[dependencies.dirs]
version = "6.0.0"

[dependencies.hf-hub]
version = "0.5.0"

[dependencies.itertools]
version = "0.14.0"

[dependencies.ndarray]
version = "0.17.2"

[dependencies.once_cell]
version = "1.21.4"

[dependencies.ort]
version = "2.0.0-rc.12"

[dependencies.reqwest]
version = "0.13.2"
features = ["blocking"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokenizers]
version = "0.22.2"
